Awanio API (2.0.0)

Description of Awanio RESTful API.

Registration

Resendcode Registration's Code

Resendcode registration verification code.

Request Body schema: application/json
email
string

Email address submited in registration resource.

Responses

Request samples

Content type
application/json
{
  • "email": "string"
}

Signup

Registration new user.

Request Body schema: application/json
username
string

Unique username defined by user.

name
string

User real name.

email
string

Working valid email. New registered user will receive validation token through this email.

password
string

Responses

Request samples

Content type
application/json
{
  • "username": "string",
  • "name": "string",
  • "email": "string",
  • "password": "string"
}

Registration's Code Verification

Verify code sent by registration resource via registered email.

Request Body schema: application/json
email
string

Email address submited in registration resource.

verification_code
string

Unique code sent by registration operation to email.

Responses

Request samples

Content type
application/json
{
  • "email": "string",
  • "verification_code": "string"
}

Accounts

Login

Resource for authenticate user credentials by exchange username or email and password.

Request Body schema: application/json
username
string

Use username or email

password
string

Responses

Request samples

Content type
application/json
{
  • "username": "string",
  • "password": "string"
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Logout

Logout user identified by it JWTToken.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Get User by JWT Token

Fetch detail user information base on current JWT Token.

header Parameters
Authorization
string
Example: Bearer {JWTToken}

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

List of Stored SSH keys

List of uploaded ssh keys.

header Parameters
Authorization
string
Example: Bearer {JWTToken}

Responses

Add new ssh key.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Request Body schema: application/json
object

Responses

Request samples

Content type
application/json
{
  • "sshkey": "ssh-rsa xxx me@hostname",
  • "description": "my-ssh-key"
}

Delete SSH key

Delete user's ssh key by it uuid.

path Parameters
uuid
required
string >= 1

The UUID string identifier for each ssh key object.

header Parameters
Authorization
required
string
Example: Bearer {JWTToken}

Responses

Organizations

Create organization

Registration new organization.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
name
string

Name of organization

icon
string

base64 file

Array of objects

Member of organization

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "icon": "string",
  • "organization_members": [
    ]
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

List of Organization

Fetch organization information base on current user.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "result": true
}

Detail of Organization

Fetch detail organization information by uuid.

path Parameters
uuid
required
string

UUID identifier string for the organization.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Update organization

Update organization information by uuid.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
name
string

Name of organization

icon
string

base64 file

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "icon": "string"
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Delete of Organization

Delete user's organization by it uuid..

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: applicatio

Responses

Response samples

Content type
application/json
{
  • "data": "deleted",
  • "result": true
}

Set Primary Organization

Set default organization

path Parameters
uuid
required
string

UUID identifier string for the organization.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
organization_uuid
string

Organization uuid

Responses

Request samples

Content type
application/json
{
  • "organization_uuid": "string"
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Organization Member

List member of organization

path Parameters
uuid
required
string

UUID identifier string for the organization.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "result": true
}

Add Organization Member

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
member_uuid
string

User uuid

Responses

Request samples

Content type
application/json
{
  • "member_uuid": "string"
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Update organization member.

Add, edit, or delete member from organization

path Parameters
uuid
required
string

UUID identifier string for the organization.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
Array of objects

Organization uuid

Array of objects

Organization uuid

Array of objects

Organization uuid

Responses

Request samples

Content type
application/json
{
  • "organization_members_added": [
    ],
  • "organization_members_updated": [
    ],
  • "organization_members_deleted": [
    ]
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Delete member organization

path Parameters
organization_uuid
required
string

UUID identifier string for the organization.

uuid
required
string

UUID identifier string for the member.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": "deleted",
  • "result": true
}

Projects

Create projects

Registration new projects.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
name
string

Name of projects

icon
string

base64 file

organization_uuid
string

Organization uuid

Array of objects

Member of projects

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "icon": "string",
  • "organization_uuid": "string",
  • "project_members": [
    ]
}

Response samples

Content type
application/json
{
  • "data": null,
  • "result": true
}

List of Projects

Fetch projects information base on current user.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "result": true
}

Detail of Projects

Fetch detail projects information by uuid.

path Parameters
uuid
required
string

UUID identifier string for the project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Update Projects

Update projects information by uuid.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
name
string

Name of organization

organization_uuid
string

Organization uuid

icon
string

base64 file

Array of objects

Add member of projects

Array of objects

Update member of projects

Array of objects

Delete member of projects

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "organization_uuid": "string",
  • "icon": "string",
  • "project_member_added": [
    ],
  • "project_member_updated": [
    ],
  • "project_member_deleted": [
    ]
}

Response samples

Content type
application/json
{
  • "data": null,
  • "result": true
}

Delete of Projects

Delete user's projects by it uuid..

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: applicatio

Responses

Response samples

Content type
application/json
{
  • "data": "deleted",
  • "result": true
}

Set Primary Project

Set project as primary.

path Parameters
uuid
required
string

UUID identifier string for the project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Unset Primary Project

Release the project as primary..

path Parameters
uuid
required
string

UUID identifier string for the project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Add Member

Add member to a project.

path Parameters
uuid
required
string

UUID identifier string for the project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
member_uuid
string

user uuid

Responses

Request samples

Content type
application/json
{
  • "member_uuid": "string"
}

Response samples

Content type
application/json
{
  • "data": null,
  • "result": true
}

List of Projects Member

Fetch user base on project.

path Parameters
uuid
required
string

UUID identifier string for the project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "result": true
}

Change User Level

Chage user level from a project.

path Parameters
uuid
required
string

UUID identifier string for the project.

useruuid
required
string

UUID identifier string for the member.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
user_level
integer

1 for admin and 2 for member

Responses

Request samples

Content type
application/json
{
  • "user_level": 0
}

Response samples

Content type
application/json
{
  • "data": "level changed",
  • "result": true
}

Delete Member

Release the member from a project..

path Parameters
uuid
required
string

UUID identifier string for the project.

useruuid
required
string

UUID identifier string for the member.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": "deleted",
  • "result": true
}

Virtual Machine

Create Virtual Machine.

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
required
string
Example: Bearer {JWTToken}
Request Body schema: application/json
authentication_type
object

Define how to access the VM. Either via standard username and password login or via ssh public key.

catalogue_uuid
string

UUID string taken from Catalogues resource endpoint.

instance_type_uuid
string

UUID string taken from Pricing resource endpoint.

organization_uuid
string

UUID string identifier where this Virtual Machine belongs to.

title
string
hostname
string
with_external_ip
boolean
reserve_external_ip
object

This property only apply if value of with_external_ip true.

Responses

Request samples

Content type
application/json
{
  • "authentication_type": {
    },
  • "catalogue_uuid": "xxx-xxx-xxx",
  • "instance_type_uuid": "xxx-xxx-xxx",
  • "organization_uuid": "xxx-xxx-xxx",
  • "title": "my-vm-title",
  • "with_external_ip": true,
  • "reserve_external_ip": {
    },
  • "hostname": "my-vm-hostname"
}

Response samples

Content type
application/json
{
  • "error": "INVALID CREDENTIALS",
  • "error_code": "401-3",
  • "message": "WRONG USERNAME / PASSWORD",
  • "result": false
}

List of virtual machine

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "result": true
}

Detail virtual machine

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

vmuuid
required
string

UUID identifier string for the vm.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Delete virtual machine

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": "Delete VM Success",
  • "result": true
}

Baremetal

Create baremetal

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
object

Authentication of baremetal.

catalogue_uuid
string
organization_uuid
string
title
string
hostname
string
compute_same_config
integer
with_external_ip
boolean
object
machine_name
string
billing_period
string

Responses

Request samples

Content type
application/json
{
  • "authentication_type": {
    },
  • "catalogue_uuid": "string",
  • "organization_uuid": "string",
  • "title": "string",
  • "hostname": "string",
  • "compute_same_config": 0,
  • "with_external_ip": true,
  • "reserve_external_ip": {
    },
  • "machine_name": "string",
  • "billing_period": "string"
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

List baremetal

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "meta": {
    },
  • "result": true
}

Detail baremetal

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Delete baremetal

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": "deleted",
  • "result": true
}

Status of baremetal

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": "Deployed",
  • "result": true
}

List of machine

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "result": true
}

Catalogue

List

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{}

Pricing

List

query Parameters
suitable_for
string
Example: suitable_for=vm, baremetal

Filter by resource type

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "result": true
}

Voucher

Redeem

path Parameters
uuid
required
string

UUID identifier string for the organization.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
code
string

Voucher code.

Responses

Request samples

Content type
application/json
{
  • "code": "string"
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Vpc

Create

path Parameters
uuid
required
string

UUID identifier string for the organization.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
label
string
size
integer

Responses

Request samples

Content type
application/json
{
  • "label": "string",
  • "size": 0
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

List

path Parameters
uuid
required
string

UUID identifier string for the organization.

query Parameters
page
string
Example: page=1

Pagination

order_by
string
Example: order_by=asc, desc

Sort data

per_page
string
Example: per_page=5,10,15

Amount of data in one page

search
string
Example: search=id

Find spesific data

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "meta": {
    },
  • "result": true
}

Delete

path Parameters
organization_uuid
required
string

UUID identifier string for the organization.

uuid
required
string

UUID identifier string for the pvc object.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": "Successfully delete vpc",
  • "result": true
}

Volumes

List Volume

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

group-uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "result": true
}

Create Volume

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
organization_uuid
string
pricing_uuid
string
label
string

Responses

Request samples

Content type
application/json
{
  • "organization_uuid": "string",
  • "pricing_uuid": "string",
  • "label": "string"
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Delete a volume

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

group-uuid
required
string

UUID identifier string for the organization or project.

uuid
required
string

UUID identifier string for the volume object.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": "Delete Volume Success",
  • "result": true
}

Update a volume

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
label
string

Responses

Request samples

Content type
application/json
{
  • "label": "string"
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Update volume size

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

group-uuid
required
string

UUID identifier string for the organization or project.

uuid
required
string

UUID identifier string for the volume object.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
pricing_uuid
string

Responses

Request samples

Content type
application/json
{
  • "pricing_uuid": "string"
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Clone a volume

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

group-uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
source_volume_uuid
string
label
string

Responses

Request samples

Content type
application/json
{
  • "source_volume_uuid": "string",
  • "label": "string"
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Invoices

List Invoices

path Parameters
uuid
required
string

UUID identifier string for the organization.

query Parameters
page
string
Example: page=1

Pagination

order_by
string
Example: order_by=asc, desc

Sort data

per_page
string
Example: per_page=5,1015

Amount of data in one page

search
string
Example: search=id

Find spesific data

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "meta": {
    },
  • "result": true
}

Detail Invoice

path Parameters
uuid
required
string

UUID identifier string for the invoice object.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Payment

List Payment Gateway

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "result": true
}

Create Payment Gateway

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
name
string
merchant_code
string
merchant_key
string
callback
string
url
string
Array of objects
output_type
string
vat
integer

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "merchant_code": "string",
  • "merchant_key": "string",
  • "callback": "string",
  • "url": "string",
  • "meta": [
    ],
  • "output_type": "string",
  • "vat": 0
}

Response samples

Content type
application/json
{}

List Payment Method

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "result": true
}

Check Reference Number

path Parameters
reference_number
required
string
header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Topup balance

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
payment_method_uuid
string
organization_uuid
string
amount
integer

Responses

Request samples

Content type
application/json
{
  • "payment_method_uuid": "string",
  • "organization_uuid": "string",
  • "amount": 0
}

Response samples

Content type
application/json
{}

Checkout Invoice

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
payment_method_uuid
string
organization_uuid
string
amount
integer

Responses

Request samples

Content type
application/json
{
  • "payment_method_uuid": "string",
  • "organization_uuid": "string",
  • "amount": 0
}

Response samples

Content type
application/json
{}

Callback

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: multipart/form-data
Request Body schema: multipart/form-data
merchantOrderId
string
amount
string
resultCode
integer
additionalParam
integer
reference
string

Responses

Response samples

Content type
application/json
{
  • "data": "SUCCESS",
  • "result": true
}

Object Storage

Check subdomain name

path Parameters
name
required
string

name that use for object storage subdomain name

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "result": true
}

Create Object Storage By Group Type

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: multipart/form-data
Request Body schema: application/json
subdomain_name
string
bucket_name
string

Responses

Request samples

Content type
application/json
{
  • "subdomain_name": "string",
  • "bucket_name": "string"
}

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Object Storage By Group Type

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: multipart/form-data

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Create Bucket By Group Type

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: multipart/form-data
Request Body schema: application/json
bucket_name
string

Responses

Request samples

Content type
application/json
{
  • "bucket_name": "string"
}

Response samples

Content type
application/json
{
  • "data": "Bucket testing created",
  • "result": true
}

List Bucket By Group Type

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: multipart/form-data

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Update Policy

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

bucket-name
required
string

Bucket Name.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: multipart/form-data
Request Body schema: application/json
bucket_name
string

Responses

Request samples

Content type
application/json
{
  • "bucket_name": "string"
}

Response samples

Content type
application/json
{
  • "data": "Bucket testing's policy updated",
  • "result": true
}

Delete Bucket

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

bucket-name
required
string

Bucket Name.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: multipart/form-data

Responses

Response samples

Content type
application/json
{
  • "data": "Bucket testing deleted",
  • "result": true
}

List Object By Bucket Name

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

bucket-name
required
string

Bucket Name.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: multipart/form-data

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "result": true
}

Delete Object

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

bucket-name
required
string

Bucket Name.

object-name
required
string

Object Name.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: multipart/form-data

Responses

Response samples

Content type
application/json
{
  • "data": "object deleted",
  • "result": true
}

Kubernetes

Kubernetes Version

header Parameters
Authorization
string
Example: Bearer {JWTToken}

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Create kubernetes

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
name
string
enable_ha
boolean
version
string

Version kubernetes uuid.

pricing_uuid
string
pv_pricing_uuid
string
tags
Array of strings
with_external_ip
boolean
Array of objects

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "enable_ha": true,
  • "version": "string",
  • "pricing_uuid": "string",
  • "pv_pricing_uuid": "string",
  • "tags": [
    ],
  • "with_external_ip": true,
  • "reserve_external_ip": [
    ]
}

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "result": true
}

List of kubernetes

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

query Parameters
page
string
Example: page=1

Pagination

per_page
string
Example: per_page=5,1015

Amount of data in one page

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "meta": {
    },
  • "result": true
}

Detail Kubernetes

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Update kubernetes

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json
Request Body schema: application/json
name
string
enable_ha
boolean

Responses

Request samples

Content type
application/json
{
  • "name": "string",
  • "enable_ha": true
}

Response samples

Content type
application/json
{
  • "data": [
    ],
  • "result": true
}

Delete kubernetes

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": "deleted",
  • "result": true
}

Metrics used

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": {
    },
  • "result": true
}

Status of kubernetes

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": "running",
  • "result": true
}

Credential of kubernetes

path Parameters
group-type
required
string
Example: organizations

The value should be one of organizations or projects.

uuid
required
string

UUID identifier string for the organization or project.

header Parameters
Authorization
string
Example: Bearer {JWTToken}
Content-Type
string
Example: application/json

Responses

Response samples

Content type
application/json
{
  • "data": "apiVersion: v1\n clusters:\n- cluster:\n certificate-authority-data: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSUMvakNDQWVhZ0F3SUJBZ0lCQURBTkJna3Foa2lHOXcwQkFRc0ZBREFWTVJNd0VRWURWUVFERXdwcmRXSmwKY201bGRHVnpNQjRYRFRJeU1EUXdOREEwTWpRMU5sb1hEVE15TURRd01UQTBNalExTmxvd0ZURVRNQkVHQTFVRQpBeE1LYTNWaVpYSnVaWFJsY3pDQ0FTSXdEUVlKS29aSWh2Y05BUUVCQlFBRGdnRVBBRENDQVFvQ2dnRUJBTHB2ClJsWG11SVFQQ2JWanVXQStXRG5CY3ZxM3NTcEM1cko2am9YdnpGSTZhazdNZUxsOTMxRVFwWkVublFIa1RWUzQKa3paRVJqejE5elRpYVhFM1RZQzdTRzBvQTV5QUZmdDJDV1J5aFZRaDdyR2dhSTZiQ0hWb1hTNjRjZUdGclhyQgprdmNGVHVMVUpTRXd0SlFlMFBwdVprYUd4aHBzenNyM29OSXBtaG1FZWZyQi9jYXdadTVkNzlzWU1qRVpSYXBXCnVtUGU1aDQxR3pESmdQQzhoUzlubUpVWkNicnlLK0tUclpIQWdsWWx6VkdUb3gwTnJEWUlYbURBWE5jM3V0bVgKcWZTVVc2NStRU2dHc3BpWTFEd2U3am0wK3J0U3gxS1dlZHJSOHpEc2hGWnRsbk1BVGVVTytUTnYxTFdnMUZLYwp0Q25LcDQ1TjhrSXJWN0xHR1JNQ0F3RUFBYU5aTUZjd0RnWURWUjBQQVFIL0JBUURBZ0trTUE4R0ExVWRFd0VCCi93UUZNQU1CQWY4d0hRWURWUjBPQkJZRUZFRUtpU0tWZC8yTWVXdWFjeU80V2lkQXEvYlRNQlVHQTFVZEVRUU8KTUF5Q0NtdDFZbVZ5Ym1WMFpYTXdEUVlKS29aSWh2Y05BUUVMQlFBRGdnRUJBSnM1aktSUTVTYnYyNHdUYkpDSQp5K09KdTNwQ0VzMDFoQ1p6ZzlNQk5lb296NCt5dExEckxqYVFHUFhQaGU1U1lUVk9LT1lnZkxjcW1rZmEyOGtjCnJVRWd0a0svcHRVUmQ5UEk0eCtRYVB3aUJoODJmRGtjNnFNM1BNOEVjcSt1ZXFGWk4vVUdpd3pyREcrVGZuaVgKM202Q1JrRmt3TkpvUVA4eHY1bk51enh0UjNWTFFiNHpkTW1wSk5lM013TWhCekJsWlZrS2dxQm5NZmczNmxUTwpxUjNXUURCWWZvWTFQWEVBb1ovazloVWhqcUpnZm5lVWM1aVg2WndHZlppU0ozMU15WldCNXk5d0o3cmtsZG00CjE5TkpoWjIvV2I4WUtmK29tYmV5cDdaenhTdGxrZCtpNmlYRWwyUmg1VXhXcGRlR1JSQm1sL3FPc2xCakw2RHUKdmNjPQotLS0tLUVORCBDRVJUSUZJQ0FURS0tLS0tCg==\n server: https://103.15.226.49\n name: kubernetes\ncontexts:\n- context:\n cluster: kubernetes\n user: kubernetes-admin\n name: kubernetes-admin@kubernetes\ncurrent-context: kubernetes-admin@kubernetes\n kind: Config\npreferences: {}\nusers:\n- name: kubernetes-admin\n user:\n client-certificate-data: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSURJVENDQWdtZ0F3SUJBZ0lJWnZ5UWNDMHZ5Mjh3RFFZSktvWklodmNOQVFFTEJRQXdGVEVUTUJFR0ExVUUKQXhNS2EzVmlaWEp1WlhSbGN6QWVGdzB5TWpBME1EUXdOREkwTlRaYUZ3MHpNakEwTURFd05ESTFNREJhTURReApGekFWQmdOVkJBb1REbk41YzNSbGJUcHRZWE4wWlhKek1Sa3dGd1lEVlFRREV4QnJkV0psY201bGRHVnpMV0ZrCmJXbHVNSUlCSWpBTkJna3Foa2lHOXcwQkFRRUZBQU9DQVE4QU1JSUJDZ0tDQVFFQW5HQkI4bzFEbTcyci9vejEKeEVoOEtMNi93ZlBsWFA3YndZTVJ4ZGxGdUJxUFliYmZlVDFvUmJDcVFmejNidUM0SE1WeDJPZjM3bzNleTBVeAowYUpic011Rm1oNEhkNnkvSVQxRDFlZmdSa3RRa09BWGhvdXMwVXptUmxjc25CQTRHM3k2Zm1yQ2VwaklqQnloCmMzUGQ0RVdZK0tUZlM0ZjAxZE92OHNzWWZuQ1hDYVNPNGcxbHpDSWJhanpERTJuMENJZEo2QklDTFBUVnNPdVMKYXJ2K3UzRk8yYTZhZDFVZWdidTNtVzdQNjBnb0RkelhvcU9ZemFkODl1cHl6MkJaOGhqUVJCdmZtNUlWNDlUaApoU0Rha2YzcGZEd0ZTMFFsZ3VhaFFaR3RsYjRlVVZHblZyTGQrbEt0dGdQYjl6WHZvcTFKaUNreTQvL1Jhc0hBCjRIWUlWd0lEQVFBQm8xWXdWREFPQmdOVkhROEJBZjhFQkFNQ0JhQXdFd1lEVlIwbEJBd3dDZ1lJS3dZQkJRVUgKQXdJd0RBWURWUjBUQVFIL0JBSXdBREFmQmdOVkhTTUVHREFXZ0JSQkNva2lsWGY5akhscm1uTWp1Rm9uUUt2MgowekFOQmdrcWhraUc5dzBCQVFzRkFBT0NBUUVBSVlQdXNQSkkrNUNGS1E2N0ZJckNlYW1RRVdQRWM4Y3hONFhqCi9vbkhQQlgxUStML3hQVmU5a3NsR3RQVFdwZXNCeU50NXgrK25FbHBtS3cvUDg5TzZ4ZSttaVZkU2o1SndTeFcKOUJpRWE4bzIyY2ZMZXBqYk9xb1JwOFBxalJVdGE0STVQMmx4aFk3WkdLUXhLOFJPbzI5Rmd5MzFURk1pc25MYgpjVjdnTjkzTGZyemxNY0xUU0xCdWkzdWRIOFEzaHU2M2RnTUJScWwreWJKWjRsUG5zRXlLaUY5VS8vaVRCYzVFClV4cGNtY0txclRsWmYva3VOMkNIOFRBMEFhZHJrakRJd2c2RHJsb1kraGFZRWZzVWovbDR1SEsyWlN1aC8yRTcKNGhHR3FORE4ySEJGQjY0TXYvZWhBb0ZFZmhjVFlid0ZXMG9sVURkYWovaHpzMzRRcWc9PQotLS0tLUVORCBDRVJUSUZJQ0FURS0tLS0tCg==\n client-key-data: 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\n",
  • "result": true
}